from .scolopax_project import ScolopaxProject
from .scolopax_drive import ScolopaxDrive
from .creator import Creator


class Importer():

    def __init__(self, qgis_project, scolopax_project_file_path):
        self.qgis_project = qgis_project
        self.scolopax_project = self.load_project(scolopax_project_file_path)

    def load_project(self, project_file_path):
        return ScolopaxProject(project_file_path)

    def load_drive(self, project, drive_id, drive_name, camera_yaw, camera_pitch, camera_roll):
        drive_dir_path = project.get_drive_path(drive_id)

        return ScolopaxDrive(
            drive_id,
            drive_name,
            drive_dir_path,
            camera_yaw=camera_yaw,
            camera_pitch=camera_pitch,
            camera_roll=camera_roll
        )

    def run(self):
        creator = Creator(self.qgis_project, self.scolopax_project)

        for item in self.scolopax_project.drives:
            drive = self.load_drive(
                self.scolopax_project,
                item['id'],
                item['name'],
                item['camera_yaw'],
                item['camera_pitch'],
                item['camera_roll']
            )
            creator.create_drive_layer(drive)
