import json


class ScolopaxDrive():

    def __init__(
        self,
        id,
        name,
        the_path,
        camera_yaw=0,
        camera_pitch=0,
        camera_roll=0
    ):
        self.id = id
        self.name = name
        self.path = the_path
        self.data = None
        self.camera_yaw = camera_yaw
        self.camera_pitch = camera_pitch
        self.camera_roll = camera_roll

        self.load_data()

    def load_data(self):
        data_file_path = self.get_data_file_path()

        with open(data_file_path, encoding="utf-8") as f:
            self.data = json.load(f)

    def get_data_file_path(self):
        return self.path / "data.json"
