import React from 'react';
import { Button, ButtonGroup } from '@blueprintjs/core';


class WindowSizeButtons extends React.Component {

  setWindowSmall = () => {
    window.qgisApi.setWindowSmall();
  }

  setWindowMedium = () => {
    window.qgisApi.setWindowMedium();
  }

  setWindowLarge = () => {
    window.qgisApi.setWindowLarge();
  }

  render() {
    return (
      <ButtonGroup>
        <Button
          text="S"
          onClick={this.setWindowSmall}
          active={this.props.windowSize == "S" ? true : false}
          disabled={this.props.windowSize == "S" ? true : false}
        />
        <Button
          text="M"
          onClick={this.setWindowMedium}
          active={this.props.windowSize == "M" ? true : false}
          disabled={this.props.windowSize == "M" ? true : false}
        />
        <Button
          text="L"
          onClick={this.setWindowLarge}
          active={this.props.windowSize == "L" ? true : false}
          disabled={this.props.windowSize == "L" ? true : false}
        />
      </ButtonGroup>
    );
  }
}

export default WindowSizeButtons;
